Debian Bug report logs - #700615
pybit-web: fails to purge - command dbc_go in postrm not found

version graph

Package: pybit-web; Maintainer for pybit-web is Neil Williams <codehelp@debian.org>; Source for pybit-web is src:pybit.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Fri, 15 Feb 2013 10:27:01 UTC

Severity: important

Found in versions pybit/0.4.2-1, pybit/0.5.0-1

Fixed in version pybit/1.0.0-1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Neil Williams <codehelp@debian.org>:
Bug#700615; Package pybit-web. (Fri, 15 Feb 2013 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Neil Williams <codehelp@debian.org>. (Fri, 15 Feb 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pybit-web: fails to purge - command dbc_go in postrm not found
Date: Fri, 15 Feb 2013 11:22:16 +0100
[Message part 1 (text/plain, inline)]
Package: pybit-web
Version: 0.4.2-1
Severity: important
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to purge due
to a command not found. According to policy 7.2 you cannot rely on the
depends being available during purge, only the essential packages are
available for sure.

Filing this as important because a.) it's a clear policy violation (to
not clean up at purge) b.) having a piuparts clean archive is a release
goal since lenny and c.) this package being piuparts buggy blocks
packages depending on it from being tested by piuparts (and thus
possibly the detection of more severe problems).

>From the attached log (scroll to the bottom...):

  Removing pybit-web ...
  Purging configuration files for pybit-web ...
  /var/lib/dpkg/info/pybit-web.postrm: 11: /var/lib/dpkg/info/pybit-web.postrm: dbc_go: not found
  dpkg: error processing pybit-web (--purge):
   subprocess installed post-removal script returned error exit status 127
  Errors were encountered while processing:
   pybit-web


cheers,

Andreas
[pybit-web_0.4.2-1.log.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#700615; Package pybit-web. (Fri, 15 Feb 2013 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. (Fri, 15 Feb 2013 12:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 700615@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: anbe@debian.org, 700615@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#700615: pybit-web: fails to purge - command dbc_go in postrm not found
Date: Fri, 15 Feb 2013 12:00:03 +0000
[Message part 1 (text/plain, inline)]
tag 700615 + pending
thanks

> during a test with piuparts I noticed your package failed to purge due
> to a command not found. According to policy 7.2 you cannot rely on the
> depends being available during purge, only the essential packages are
> available for sure.

Moved the call inside the check for the shell inclusion which defines
the function.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Fri, 15 Feb 2013 12:03:05 GMT) Full text and rfc822 format available.

Marked as found in versions pybit/0.5.0-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 16 Feb 2013 17:15:05 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 18 May 2013 23:36:29 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sat, 18 May 2013 23:36:29 GMT) Full text and rfc822 format available.

Message #19 received at 700615-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 700615-close@bugs.debian.org
Subject: Bug#700615: fixed in pybit 1.0.0-1
Date: Sat, 18 May 2013 23:34:03 +0000
Source: pybit
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
pybit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700615@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated pybit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 Feb 2013 11:53:58 +0000
Source: pybit
Binary: pybit-svn pybit-client pybit-web pybit-common pybit-watcher
Architecture: source all
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Neil Williams <codehelp@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 pybit-client - buildd client support for pybit
 pybit-common - Common objects for pybit
 pybit-svn  - Subversion post commit hook for pybit
 pybit-watcher - watches incoming directories for reprepro
 pybit-web  - buildd toolkit based on message queues (web frontend)
Closes: 700615
Changes: 
 pybit (1.0.0-1) unstable; urgency=low
 .
   * New upstream release
   * Put call to dbc_go inside the check for dbconfig-common.
     (Closes: #700615)
   * Use separated debian packaging.
Checksums-Sha1: 
 193dffaa52af6c2c690cb8e59c9157ceb73965de 2270 pybit_1.0.0-1.dsc
 ce791a16d3551285d8ed42015362ee3c1cb7cc7b 157578 pybit_1.0.0.orig.tar.gz
 010a77913ee7dc524ad56dd1c2da8e3fae408966 42627 pybit_1.0.0-1.debian.tar.gz
 d6f7eaa571c66923d346e9f9c97d62e3c4dc5f46 10078 pybit-svn_1.0.0-1_all.deb
 8cf363d66c54e17164e1a0e6c396d5afde6afa9a 40280 pybit-client_1.0.0-1_all.deb
 7ace55449ec8cfa6466def2414912f49f97eac9f 147544 pybit-web_1.0.0-1_all.deb
 a6d66b16d63ab2d442111ebe6880ae94b7367187 11908 pybit-common_1.0.0-1_all.deb
 12d76cc8d71bd81966168bd03395c344816df28a 12722 pybit-watcher_1.0.0-1_all.deb
Checksums-Sha256: 
 10922a90e0146e3707d94b5adf738c127f397bc90bc38e5d7e118e8f16ad472d 2270 pybit_1.0.0-1.dsc
 48f150443fd2cddfa46c23947afcd8d231fcefb98775525a2000c5ddc678ab4e 157578 pybit_1.0.0.orig.tar.gz
 62df63ec75281c6548b2493a21aec8a17a95966cc5d6e9187fd6a030c42bf1c7 42627 pybit_1.0.0-1.debian.tar.gz
 1144a6ecbcd4d76708458c9aa16f8580e4d567c2cc36a6a418b5b0c13e72ce02 10078 pybit-svn_1.0.0-1_all.deb
 41bb67b24e11af93202774d24316dea14685941bfdfcb82381b6e134fbe432b6 40280 pybit-client_1.0.0-1_all.deb
 2dfcd022a07e265e44dacded29d836a0c9f1a8d5e2fe2b071b39f91b13b16194 147544 pybit-web_1.0.0-1_all.deb
 a42895a4081a22df274b306739d87984ab30e2fad42a41c6dd183dbf6ec7ba60 11908 pybit-common_1.0.0-1_all.deb
 8f1bf660cb870470cc547dee2d7f9b1acf15dadf6bb922eb000cf79bec16f683 12722 pybit-watcher_1.0.0-1_all.deb
Files: 
 c64af5a72c7a2e28aa4eb0ddb2c7e2f5 2270 devel extra pybit_1.0.0-1.dsc
 d751190b9b789fee5480119c58de1489 157578 devel extra pybit_1.0.0.orig.tar.gz
 565ce3ab8ba135a04572323eac2b6087 42627 devel extra pybit_1.0.0-1.debian.tar.gz
 70903a9c076247b49fc6a6e163f1f50f 10078 devel extra pybit-svn_1.0.0-1_all.deb
 1a6c05bc919171ba72ac194729c7426f 40280 devel extra pybit-client_1.0.0-1_all.deb
 7521220d778e15f9f16e35058912e3af 147544 devel extra pybit-web_1.0.0-1_all.deb
 4bd591fcc1380b1c93628bbedd655cdd 11908 devel extra pybit-common_1.0.0-1_all.deb
 96e8dd15d113aaed56b16edeac782380 12722 devel extra pybit-watcher_1.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmA0wAAoJEPFn5DyBQ7aC0ZsP/3q46E4g7hYIp6WaL2DRoTux
1zSmLuVrf6heqY8DrjPPDwP+gDYPFtHLACZaeDzF3GhYhVIDbBr8ldS9DOfcu059
QWhZpYqYg7t6l94Jdfl0rlMsf1HUH+wae55HDlfHDL1sA5wjJ6N9KddPFhdoQIqR
nDXPYLvy96L4BO+WkY2zsOHN75XxX0dHY4kxH9EaW45E7fLjr/KVxG+2qVdhp2aK
vkIQc33xj2TzIV5liukiAcm/XEcHhcny5EGMq7NX9g5XgvclkKezPf8FQC3KAgkM
Nk/gBYEpruv0p1VSvOFcHF+13cLSCAZAcBTMy8slD1tFZe/JI3hRZC3pV4kQbWH0
t0Og6xCgB9Es3vI/JOTQx6aknFGwPExic/oXMEppDYZyeUdhlg3+wIFTSAccWxgX
QAmeXSWeM4YWf+Q2tXpERunhBJCxfdUKhkodMztTi5XKbhAIQQF23PFMxs5NbtJz
im86HEXJuwmHqE/YdAUKJzGSN0jvpNWwk3YYZFogdDdap3e1SPEkcBoIzyNX0keS
aNv1hJpLOc1ttDmi1OMcRgT8RlX9li4xcfFAGu258h1AHh56GY/rBz/ybUmQTO+M
EAQ8Z62Qkj77zTMceU0qRhxtXN83QHEvyQAswmL6Q0LSYsY5UNqNhsOA9eOZTCMv
1lb8Lpq9W+yY9MmN2Jac
=CDcN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Jun 2013 07:27:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:53:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.